%define module_name GD
Name: perl-%{module_name}2
version: 2.041
Release: alt2

Summary: GD (module for perl)
License: GPL or Artistic
Group: Development/Perl
Url: http://stein.cshl.org/WWW/software/GD/
Source: http://www.perl.com/CPAN/modules/by-module/GD/%module_name-%version.tar.gz
Conflicts: perl-GD1
Requires: libgd2

AutoReqProv: yes, perl

# Automatically added by buildreq on Tue Nov 12 2002
BuildRequires: XFree86-devel freetype2-devel libgd2-devel libjpeg-devel libpng-devel perl-devel xpm-devel zlib-devel

%description
This is a Perl interface to Gd Graphics Library.

%prep
%setup -q -n %module_name-%version
find -type f -print0 |
    xargs -r0 %__grep -FZl /usr/local |
    xargs -r0 %__subst 's,/usr/local,/usr,g'

perl -pi -e 's@my.*?\$PREFIX.*@my \$PREFIX = "/usr/lib";@' Makefile.PL
perl -pi -e 's@my.*?\$JPEG.*@my \$JPEG = 1;@' Makefile.PL
perl -pi -e 's@my.*?\$TTF.*@my \$TTF = 1;@' Makefile.PL
perl -pi -e 's@my.*?\$XPM.*@my \$XPM = 1;@' Makefile.PL
perl -pi -e 's@my.*?\$GIF.*@my \$GIF = 0;@' Makefile.PL
perl -pi -e 's@my.*?\$FT.*@my \$FT = 1;@' Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_archlib/%module_name.pm
%perl_vendor_archlib/qd.pl
%perl_vendor_autolib/%module_name
%perl_vendor_man3dir/*

%doc ChangeLog README* demos

%changelog
* Wed Nov 13 2002 DH <dh@dh.net.ru> 2.041-alt2
- Changes in spec (for perl-5.8.0).

* Wed Nov 6 2002 DH <dh@dh.net.ru> 2.041-alt1
- First release.
